# Python 中文库（Pyzh）文档

**Python 中文库（Pyzh）** 是专为中文用户设计的一款 Python 库。它对 Python 标准库及多个第三方库进行了中文化封装，以更直观、更易懂的方式呈现 Python 编程语言。

Pyzh 的目标是帮助中文用户更轻松地学习和使用 Python，使编程变得更加简单、便捷，并提升编程体验,享受编程带来的乐趣与便利。

## 🌟 主要特点

- **完全免费，开源无忧**：Pyzh 是一个完全开源且免费的 Python 中文库，所有功能均对用户开放，无任何付费版本，特别适合初学者轻松学习与使用。

- **中文化支持，轻松理解**：Pyzh 将常用的内置函数、模块及第三方库进行了中文化封装，使得代码更易读、更直观。它帮助中文用户更快速、直观地理解编程概念和功能，大大降低了初学者的学习门槛。

- **功能强大，轻松上手**：无论是简单的文件操作，还是涉及人工智能或自动化的任务，Pyzh 都能轻松应对。它为初学者提供丰富的功能，帮助他们在不同领域中进行探索，逐步掌握编程技巧。

- **全面集成，简化操作**：Pyzh 集成了多个流行的第三方库，帮助初学者省去繁琐的配置和复杂的操作。只需少量代码即可完成任务，帮助初学者专注于编程思维，提升学习效率。

这些特点使 Pyzh 成为初学者的得力助手，助力他们轻松掌握编程，享受编程带来的成就感。

## 📦 安装和升级

### 安装中文库(Pyzh)

在终端输入以下命令，并按回车执行：

```bash
pip install Pyzh
```

### 升级至最新版本

若已安装 Pyzh，可以通过以下命令升级至最新版本：

```bash
pip install --upgrade Pyzh
```

### 卸载 Pyzh

若需要卸载 Pyzh，使用以下命令：

```bash
pip uninstall Pyzh
```

## ⚙️ 导入 Pyzh 中文库

推荐使用 `from ... import *` 的方式导入 Pyzh 中文库，这样可以提高代码的可读性。例如：

```python
from pyzh.内置函数 import *  # 导入 Python 标准库的内置命令
```

**注意**：虽然 `import` 有多种方式，但 `from ... import *` 是最适合使用 Pyzh 中文库的方式，它能够使代码更加简洁、易读，且方便维护。

### 使用演示

```python
from pyzh.内置函数 import 打印

打印("欢迎使用pyzh！")
打印("这是一个使用中文函数名的Python包。")
```

在上面的示例中，我们使用 `Pyzh` 提供的封装命令完成了文件的创建、写入和读取操作，这些操作非常直观且易于理解。

## ❓ 常见问题

### 为什么选择 Pyzh？

- **降低入门门槛，快速上手**：Pyzh 专为初学者设计，帮助你轻松入门。
- **中文编程，直观易学**：使用中文编程让学习过程更贴近生活，更加直观易懂。
- **功能齐全，文档完善**：提供完整的功能支持和详细的文档，让开发更高效，开发者能够轻松找到所需资源。

### 适合哪些人使用？

- **Python 初学者**：想要快速掌握 Python 编程基础。
- **自动化办公需求者**：希望提升工作效率，实现自动化办公的用户。
- **编程教育工作者**：从事编程教学，希望为学生提供更易理解的编程环境。
- **快速开发小工具的开发者**：需要快速构建小型工具或项目的开发者。

### 如何获得帮助？

- **访问 Pyzh 官方文档**：查阅详细的开发指南和常见问题解答。
- **参与 Pyzh 社区讨论**：与其他用户互动，获取帮助与反馈。

#### 🌐 社区

##### 加入 Pyzh 社区

如果你对 Pyzh 感兴趣，或者想分享你的经验和想法，欢迎加入 Pyzh 社区。你可以通过以下方式加入：

- **加入 Pyzh 官方 QQ 群**：123456789

好的，下面是将 1、2、3 替换成形象图标后的常见问题解答内容：

## ❓ 常见问题解答

### 📚 英文不好能不能学习编程？

“学编程，先学英语”？这个说法其实并不是要你精通英语，而是因为英语在编程世界中占据了主导地位。许多前沿技术、工具以及文档都是以英语为基础的，掌握它能帮你更好地吸收最新的技术精髓。然而，如果你只是想在办公自动化、游戏开发等传统编程任务上有所作为，完全可以依靠中文编程资料来学习。编程不等于语言，重点是逻辑与思维，中文编程也能帮助你轻松跨越技术的门槛。

### 🧑‍💻 让编程更简单，学习更轻松

对于许多没有英语基础的朋友，编程似乎是一座不可逾越的高山，令人望而却步。然而，中文编程的出现恰如一条便捷的小路，迅速打破了这种障碍，使编程变得更具亲和力，理解更加直观。它不仅让你减少了学习的焦虑，还能点燃你对编程的热情，帮助你从“我能行”到“我做到了”的转变。随着中文编程的普及，它可能成为未来编程教育的“标准配置”，让更多人能够顺利踏入编程的世界。

### 💬 关于 Pyzh 的探讨

或许有人认为，Pyzh 就像是给编程“加了个中文滤镜”，使得它看起来似乎多了些步骤，复杂了些。但实际上，Pyzh 的目标正是为了让中文用户能更加轻松、愉快地使用 Python。它为编程语言注入了“母语模式”，让原本枯燥的代码与中文思维无缝连接。就像学外语时，有了翻译，你会发现学习一下子变得更加顺畅，Pyzh 让编程的学习之旅不再是陌生的符号堆砌，而是变得熟悉而亲切，让你能够专注于创意与实践，而不是被语言所困扰。

### 🌍 未来展望

在未来，Pyzh 将继续发展，以下是我们的展望目标：

1. **增加更多功能**：我们计划进一步扩展库的功能，涵盖更多领域和技术，如自然语言处理、深度学习、网络爬虫等，以满足更多开发者的需求。

2. **优化性能**：不断优化完善 `Pyzh` 的性能，使其在处理大规模数据和复杂任务时更高效，提升用户的使用体验。

3. **跨平台支持**：支持 Windows、MacOS、Linux，使得更多开发者可以轻松使用 `Pyzh`。

4. **社区支持**：我们鼓励更多开发者参与 `Pyzh` 的开发和优化，通过社区贡献，使 `Pyzh` 成为一个更具活力的开源项目。

### 🚀 服务宗旨

我们的服务宗旨是：

- **简化编程**：通过中文化的编程接口，让每一位中文用户都能够轻松上手 Python 编程，享受编程的乐趣。
- **开源共享**：作为一个开源项目，我们始终坚持为全球中文用户提供免费的技术支持和帮助，让每个用户都能够在学习和工作中受益。
- **推动技术普及**：通过中文编程，推动科技教育的普及，让更多人能够接触到编程、学习编程，并运用编程解决问题。

感谢您选择 Pyzh！我们致力于通过这个中文编程库，让更多中文用户能够轻松享受编程的乐趣。未来，我们将不断发展和更新 Pyzh，力求成为您工作和学习中的得力助手。如果您有任何问题或建议，欢迎随时与我们联系，我们将竭诚为您提供支持。

## 许可证

本项目采用 MIT 许可证。详情请参阅 LICENSE 文件。

## 🚀 贡献

欢迎贡献代码、报告问题或提出改进建议。请访问我们的 GitHub 仓库。

## 📑 Pyzh 模块函数概览

根据功能类型，以下是 Pyzh 提供的主要函数分类及数量：

| 📂 模块名称        | 🔢 函数数量      | 📂 模块名称       | 🔢 函数数量 |
| ------------------ | ---------------- | ----------------- | ----------- |
| 🏗️ **内置函数**    | 2 个             | ⚙️ **数值运算**   | 11 个       |
| 🛠️ **函数方法**    | 4 个             | 🗃️ **文件操作**   | 12 个       |
| 🔑 **对象属性**    | 5 个             | 🔄 **类型转换**   | 9 个        |
| 🧑‍💻 **对象类**      | 12 个            | 🖥️ **编译执行**   | 4 个        |
| 🧰 **工具函数**    | 4 个（均为别名） | 📝 **输入输出**   | 7 个        |
| 🔢 **序列操作**    | 8 个             | 🔁 **迭代生成**   | 3 个        |
| ⚠️ **异常处理**    | 2 个             | 🔍 **逻辑判断**   | 2 个        |
| 🔳 **集合操作**    | 15 个            | ✨ **魔法方法**   | 12 个       |
| **内置函数统计项** | **96 个**        | **持续更新中...** |             |

以下是 Pyzh 中文库的模块及函数列表：

### 内置函数

| 英文函数名 | 中文函数名 | 描述                                                                             |
| ---------- | ---------- | -------------------------------------------------------------------------------- |
| `range()`  | 范围()     | 返回一个可迭代的整数序列，从 `start` 到 `stop`（不包含 `stop`），步长为 `step`。 |
| `zip()`    | 压缩()     | 将多个可迭代对象中的元素打包为一个个元组，返回一个迭代器。                       |

---

### 函数方法

| 英文函数名 | 中文函数名 | 描述                                                                   |
| ---------- | ---------- | ---------------------------------------------------------------------- |
| `lambda`   | 匿名函数() | 创建一个匿名的简单函数，通常用于简短的函数。                           |
| `filter()` | 过滤()     | 根据指定函数的返回值，过滤序列中的元素，只保留返回 `True` 的元素。     |
| `map()`    | 映射()     | 将指定函数应用于序列中的每个元素，返回结果组成的新序列。               |
| `reduce()` | 累积运算() | 从序列的第一个元素开始，通过指定的二元函数累积运算，最终返回一个结果。 |

---

### 对象属性

| 英文函数名  | 中文函数名   | 描述                                                 |
| ----------- | ------------ | ---------------------------------------------------- |
| `delattr()` | 删除属性()   | 删除对象的指定属性。                                 |
| `getattr()` | 获取属性()   | 获取对象的指定属性的值，若属性不存在，则返回默认值。 |
| `hasattr()` | 是否有属性() | 检查对象是否有指定的属性。                           |
| `setattr()` | 设置属性()   | 设置对象的指定属性的值，如果属性不存在则创建该属性。 |
| `super()`   | 父类()       | 返回当前类的父类代理对象，用于调用父类的方法。       |

---

### 对象类

| 英文函数名     | 中文函数名     | 描述                                                   |
| -------------- | -------------- | ------------------------------------------------------ |
| `type()`       | 类型()         | 返回对象的类型，通常返回类型对象。                     |
| `isinstance()` | 是实例()       | 检查对象是否是指定类或其子类的实例。                   |
| `issubclass()` | 是子类()       | 检查一个类是否是另一个类的子类。                       |
| `object()`     | 对象()         | 返回一个新的空对象，是所有类的基类。                   |
| `callable()`   | 可调用()       | 检查一个对象是否可被调用，通常用于检查函数、方法或类。 |
| `id()`         | 唯一标识()     | 返回对象的唯一标识符。                                 |
| `globals()`    | 获取全局符号() | 返回当前全局符号表，通常用于访问全局变量。             |
| `locals()`     | 获取局部符号() | 返回当前局部符号表，通常用于访问局部变量。             |
| `dir()`        | 属性列表()     | 返回对象的属性和方法列表。                             |
| `vars()`       | 属性字典()     | 返回对象的属性字典。                                   |
| `help()`       | 帮助()         | 获取对象的帮助信息。                                   |
| `repr()`       | 字符串表示()   | 返回对象的官方字符串表示，通常用于调试。               |

---

### 工具函数

| 英文函数名   | 中文函数名       | 描述                     |
| ------------ | ---------------- | ------------------------ |
| `delattr()`  | 删除对象()       | 删除对象的指定属性。     |
| `callable()` | 是否可调用()     | 判断对象是否可以被调用。 |
| `globals()`  | 获取全局符号表() | 返回当前全局符号表。     |
| `locals()`   | 获取局部符号表() | 返回当前局部符号表。     |

---

### 序列操作

| 英文函数名    | 中文函数名 | 描述                                                               |
| ------------- | ---------- | ------------------------------------------------------------------ |
| `len()`       | 长度()     | 返回序列的元素个数或集合的元素数量。                               |
| `sorted()`    | 排序()     | 返回一个新的排序后的序列，原序列不变。                             |
| `reversed()`  | 反转()     | 返回一个反转后的迭代器，可以迭代对象的元素。                       |
| `enumerate()` | 枚举()     | 将可迭代对象组合为一个索引序列，可以用在循环中获取元素的索引和值。 |
| `zip()`       | 合并()     | 将多个可迭代对象的元素打包成一个个元组，返回一个迭代器。           |
| `map()`       | 显式映射() | 将指定的函数应用于序列中的每个元素，返回一个迭代器。               |
| `filter()`    | 过滤()     | 根据指定条件过滤序列中的元素，返回符合条件的元素。                 |
| `reduce()`    | 累积运算() | 从序列的第一个元素开始，逐步累积处理序列中的元素，返回最终结果。   |

---

### 异常处理

| 英文函数名 | 中文函数名 | 描述                                                   |
| ---------- | ---------- | ------------------------------------------------------ |
| `raise`    | 引发异常() | 用于手动引发指定的异常。                               |
| `assert`   | 断言()     | 用于调试，如果条件不成立则抛出 `AssertionError` 异常。 |

---

### 数值运算

| 英文函数名  | 中文函数名 | 描述                                       |
| ----------- | ---------- | ------------------------------------------ |
| `abs()`     | 绝对值()   | 返回数字的绝对值。                         |
| `divmod()`  | 商余()     | 返回两个数相除的商和余数，作为一个元组。   |
| `round()`   | 四舍五入() | 返回数字四舍五入后的值。                   |
| `pow()`     | 幂运算()   | 返回数字的指定幂。                         |
| `max()`     | 最大值()   | 返回序列中的最大值，或多个参数中的最大值。 |
| `min()`     | 最小值()   | 返回序列中的最小值，或多个参数中的最小值。 |
| `sum()`     | 求和()     | 返回序列中所有元素的和。                   |
| `bin()`     | 二进制()   | 将整数转换为二进制字符串。                 |
| `oct()`     | 八进制()   | 将整数转换为八进制字符串。                 |
| `hex()`     | 十六进制() | 将整数转换为十六进制字符串。               |
| `complex()` | 复数()     | 创建并返回一个复数。                       |

---

### 文件操作

| 英文函数名   | 中文函数名 | 描述                     |
| ------------ | ---------- | ------------------------ |
| `open()`     | 打开文件() | 打开文件并返回文件对象。 |
| `read()`     | 读取()     | 读取文件的内容。         |
| `write()`    | 写入()     | 写入数据到文件。         |
| `append()`   | 追加()     | 将数据追加到文件末尾。   |
| `readline()` | 读取行()   | 逐行读取文件的内容。     |
| `mkdir()`    | 创建目录() | 创建目录。               |
| `remove()`   | 删除文件() | 删除指定的文件。         |
| `rmdir()`    | 删除目录() | 删除指定的目录。         |
| `rename()`   | 重命名()   | 重命名文件或目录。       |
| `exists()`   | 路径存在() | 检查路径是否存在。       |
| `isfile()`   | 是文件()   | 检查路径是否是文件。     |
| `isdir()`    | 是目录()   | 检查路径是否是目录。     |

---

### 类型转换

| 英文函数名  | 中文函数名 | 描述                     |
| ----------- | ---------- | ------------------------ |
| `int()`     | 转整数()   | 将对象转换为整数。       |
| `float()`   | 转浮点数() | 将对象转换为浮点数。     |
| `str()`     | 转字符串() | 将对象转换为字符串。     |
| `list()`    | 转列表()   | 将可迭代对象转换为列表。 |
| `tuple()`   | 转元组()   | 将可迭代对象转换为元组。 |
| `set()`     | 转集合()   | 将可迭代对象转换为集合。 |
| `dict()`    | 转字典()   | 将可迭代对象转换为字典。 |
| `bool()`    | 转布尔值() | 将对象转换为布尔值。     |
| `complex()` | 转复数()   | 创建复数。               |

---

### 编译执行

| 英文函数名  | 中文函数名         | 描述                           |
| ----------- | ------------------ | ------------------------------ |
| `compile()` | 编译()             | 将源代码字符串编译成代码对象。 |
| `exec()`    | 执行()             | 执行 Python 代码对象。         |
| `eval()`    | 求值()             | 计算并返回 Python 表达式的值。 |
| `globals()` | 获取全局命名空间() | 返回当前的全局命名空间字典。   |

---

### 输入输出

| 英文函数名 | 中文函数名 | 描述                                 |
| ---------- | ---------- | ------------------------------------ |
| `print()`  | 打印()     | 将对象输出到标准输出（通常是屏幕）。 |
| `input()`  | 输入()     | 从标准输入读取一行数据。             |
| `open()`   | 打开文件() | 打开一个文件并返回文件对象。         |
| `read()`   | 读取()     | 读取文件的内容。                     |
| `write()`  | 写入()     | 写入数据到文件。                     |
| `flush()`  | 刷新()     | 刷新文件的缓冲区，确保写入。         |
| `close()`  | 关闭()     | 关闭文件对象。                       |

---

### 迭代生成

| 英文函数名 | 中文函数名   | 描述                                     |
| ---------- | ------------ | ---------------------------------------- |
| `iter()`   | 获取迭代器() | 获取一个可迭代对象的迭代器。             |
| `next()`   | 获取下一个() | 获取迭代器的下一个元素。                 |
| `yield`    | 生成器返回() | 从生成器中返回一个值并暂停生成器的状态。 |

---

### 逻辑判断

| 英文函数名 | 中文函数名 | 描述                             |
| ---------- | ---------- | -------------------------------- |
| `all()`    | 全真()     | 判断序列中的所有元素是否都为真。 |
| `any()`    | 任一真()   | 判断序列中是否有任何元素为真。   |

---

### 集合操作

| 英文函数名               | 中文函数名     | 官方描述                                                                                           |
| ------------------------ | -------------- | -------------------------------------------------------------------------------------------------- |
| `set()`                  | 创建集合()     | 返回一个新的集合对象，可以接受可迭代对象作为参数。如果没有传入任何参数，则返回一个空集合。         |
| `frozenset()`            | 创建冻结集合() | 返回一个不可变集合，即冻结集合。它支持集合的所有操作，但不支持修改操作，如添加或删除元素。         |
| `add()`                  | 添加元素()     | 向集合中添加一个元素，如果元素已经存在，则没有任何效果。                                           |
| `update()`               | 更新集合()     | 使用指定的可迭代对象更新集合。可以添加多个元素，甚至是其他集合的元素，使用该方法时，集合会被修改。 |
| `remove()`               | 删除元素()     | 删除集合中指定的元素。如果元素不存在，则会引发`KeyError`异常。                                     |
| `discard()`              | 尝试删除元素() | 尝试从集合中删除指定的元素。如果元素不存在，不会引发任何异常。                                     |
| `pop()`                  | 弹出元素()     | 随机删除集合中的一个元素并返回该元素。如果集合为空，则引发`KeyError`异常。                         |
| `clear()`                | 清空集合()     | 删除集合中的所有元素，集合变为空集合。                                                             |
| `union()`                | 并集()         | 返回两个集合的并集，即包含两个集合中所有不重复的元素。可以接受一个或多个集合。                     |
| `in`tersection()`        | 交集()         | 返回两个集合的交集，即两个集合中共同存在的元素。                                                   |
| `difference()`           | 差集()         | 返回两个集合的差集，即第一个集合中存在而第二个集合中不存在的元素。                                 |
| `symmetric_difference()` | 对称差集()     | 返回两个集合的对称差集，即两个集合中不共享的元素。                                                 |
| `issubset()`             | 是子集()       | 判断当前集合是否是另一个集合的子集，即当前集合中的所有元素都在另一个集合中存在。                   |
| `issuperset()`           | 是超集()       | 判断当前集合是否是另一个集合的超集，即另一个集合中的所有元素都在当前集合中存在。                   |
| `isdisjoint()`           | 不相交()       | 判断当前集合和另一个集合是否没有交集，即它们的交集为空。                                           |

---

### 魔法方法

| 英文函数名       | 中文函数名       | 描述                                                                                             |
| ---------------- | ---------------- | ------------------------------------------------------------------------------------------------ |
| `__init__()`     | 构造方法()       | 初始化对象的构造方法。每当创建一个对象时，`__init__()`方法会被自动调用，用于初始化对象的状态。   |
| `__del__()`      | 析构方法()       | 对象被销毁时调用的析构方法。当对象不再被引用并准备销毁时，Python 会调用`__del__()`进行清理工作。 |
| `__str__()`      | 字符串表示()     | 返回对象的字符串表示。这个方法用于`str()`和`print()`，用来将对象转换为用户友好的字符串形式。     |
| `__repr__()`     | 表示方法()       | 返回对象的官方字符串表示。用于`repr()`和交互式解释器，旨在提供一个“尽可能无歧义”的表示形式。     |
| `__call__()`     | 可调用对象()     | 使对象变为可调用。当你像调用函数一样调用对象时，Python 会执行该方法。例如：`obj()`。             |
| `__len__()`      | 获取长度()       | 返回对象的长度。这个方法会在使用`len()`函数时被调用，例如：`len(obj)`。                          |
| `__getitem__()`  | 获取元素()       | 获取对象的元素。通过索引或键访问对象时会调用此方法。例如：`obj[key]`。                           |
| `__setitem__()`  | 设置元素()       | 设置对象的元素。用来通过索引或键赋值给对象时调用此方法。例如：`obj[key] = value`。               |
| `__delitem__()`  | 删除元素()       | 删除对象的元素。当删除对象中的元素时调用。例如：`del obj[key]`。                                 |
| `__iter__()`     | 获取迭代器()     | 返回对象的迭代器。这个方法允许对象成为可迭代的，可以用于`for`循环。                              |
| `__next__()`     | 获取下一个元素() | 返回迭代器的下一个元素。在迭代器的实现中，`__next__()`用来返回序列中的下一个元素。               |
| `__contains__()` | 包含元素()       | 判断对象是否包含指定的元素。当使用`in`运算符时，Python 会调用此方法，例如：`element in obj`。    |

这些方法用于定制对象的行为，使得对象能够以特定方式参与 Python 的内建操作（如索引、迭代、调用等）。

---
